package com.ss.android.ugc.aweme.discover.ui;

import X.0EL;
import X.0EQ;
import X.C3122JMb;
import X.M12;
import X.Qx3;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.views.WrapLinearLayoutManager;

public final class SearchUserLinearLayoutManager extends WrapLinearLayoutManager {
    public static long LIZ = -1;
    public static final C3122JMb LIZIZ = new C3122JMb((byte) 0);

    static {
        Covode.recordClassIndex(65564);
    }

    public SearchUserLinearLayoutManager(Context context) {
    }

    public final void LIZJ(0EL r5, 0EQ r6) {
        M12.LIZ(r5, r6);
        long currentTimeMillis = System.currentTimeMillis();
        super.LIZJ(r5, r6);
        LIZ = Qx3.LIZ(System.currentTimeMillis() - currentTimeMillis, LIZ);
    }
}
